require 'uu/os/gvc/component'

module UU
  module OS
    module Form

      # Label component.
      class Label < UU::OS::GVC::Component

        # Label text.
        attr_accessor :text

        # Label tooltip text.
        attr_accessor :info_text
        
        # Flag input field belongs to the label is required.
        attr_accessor :required

        def text
          attributes[:text]
        end

        def text=(text)
          attributes[:text] = text
        end

        def info_text
          attributes[:info_text]
        end

        def info_text=(info_text)
          attributes[:infoText] = info_text
        end
        
        def required
          attributes[:required]
        end

        def required=(required)
          attributes[:required] = required
        end

      end

    end
  end
end
